# $Revision: 1.35.2.5 $, $Date: 2003/12/25 23:24:37 $
Summary:	GXSNMP Network Management Application
Summary(pl):	GXSNMP - aplikacja do zarzdzania sieci
Name:		gxsnmp
Version:	0.0.16
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	ftp://coco.comstar.net/pub/gxsnmp/%{name}-%{version}.tar.gz
# Source0-md5:	d37f7c85fd96861e8e88e7092d2cb913
Patch0:		%{name}-mib-browser.patch
Patch1:		%{name}-am15.patch
Patch2:		%{name}-MIBs_path.patch
Patch3:		%{name}-ac_fixes.patch
Patch4:		%{name}-iputil.c_fix.patch
Patch5:		%{name}-desktop.patch
URL:		http://www.gxsnmp.org/
BuildRequires:	ORBit-devel
#BuildRequires:	autoconf
#BuildRequires:	automake
BuildRequires:	flex
#BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel
BuildRequires:	libsmi-devel >= 0.2
BuildRequires:	mysql-devel >= 3.23.32
BuildRequires:	perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_infodir	/usr/share/info
%define		_sysconfdir	/etc/X11/GNOME

%description
GXSNMP is the SNMP network managament application.

%description -l pl
GXSNMP to aplikacja do zarzdzania sieci przez SNMP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
rm -f missing acinclude.m4
sed -e 's/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/; s/AM_ACLOCAL_INCLUDE.*//' \
	configure.in > configure.in.new
mv -f configure.in.new configure.in
%{__gettextize}
%{__libtoolize}
aclocal -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} -I%{_includedir}"
%configure \
	--disable-static \
	--with-gnome \
	--with-mysql
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT \
	 Admindir=%{_applnkdir}/Network/Misc

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/gxsnmp
%dir %{_libdir}/gxsnmp/plugins
%attr(755,root,root) /%{_libdir}/gxsnmp/plugins/lib*.so*
%{_applnkdir}/Network/Misc/*
%{_datadir}/gxsnmp
%{_pixmapsdir}/gxsnmp

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gxsnmp.spec,v $
Revision 1.35.2.5  2003/12/25 23:24:37  ankry
- added %%{__libtoolize}

Revision 1.35.2.4  2003/12/25 00:47:24  ankry
- added -desktop patch, rel. 5

Revision 1.35.2.3  2003/09/10 00:15:20  ankry
- md5

Revision 1.35.2.2  2003/09/09 23:29:37  ankry
- rel. 4 to rebuild with new mysql-libs

Revision 1.35.2.1  2003/07/11 12:01:21  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.35  2002/07/04 07:38:38  kloczek
- release 3: use new %doc.

Revision 1.34  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.33  2002/05/21 23:13:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.32  2002/04/25 16:32:35  arturs
fixed a small typo

Revision 1.31  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.30  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.29  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/01/18 02:13:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2002/01/13 18:22:23  kloczek
- release 2: added iputil.c_fix with compilation fix.

Revision 1.26  2002/01/13 11:18:59  kloczek
- added am15 patch with automake 1.5 fixes,
- added MIBs_path patch (change MIBs path to /usr/share/mibs where are stored
  all neccessary MIB files which comes with libsmi),
- added ac_fixes patch which removes all CFALAG manipulations.
NOTE: not compiles.

Revision 1.25  2002/01/09 15:50:52  qboosh
- updated to 0.0.16, removed obsolete cvs and DESTDIR patches - builds now
- disabled rebuilding auto* - doesn't work

Revision 1.24  2001/11/29 14:53:25  qboosh
- adapterized, pl translations

Revision 1.23  2001/04/30 16:05:19  kloczek
- added using %%{rpmcflags} macro.

Revision 1.22  2001/03/03 14:48:18  kloczek
- release 7: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.21  2001/02/16 11:01:05  kloczek
- release 6: removed *.la fiels for plugins.

Revision 1.20  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.19  2001/01/27 15:29:02  kloczek
- fixed %files list.

Revision 1.18  2001/01/27 15:19:52  kloczek
- release 5,
- rebuild against mysql 3.23.32,
- added cvs patch with merge all current translations, trafic plugin and few
  minor fixes.

Revision 1.17  2001/01/25 20:03:23  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.16  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.15  2000/11/01 02:39:41  kloczek
- release 4: rebuild against gnome-libs linked with db3.

Revision 1.14  2000/10/20 16:28:23  kloczek
- use new rpm automation.

Revision 1.13  2000/10/20 15:09:16  baggins
- release 3
- fixed numerous sigsegvs

Revision 1.12  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.11  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/05/30 14:35:57  michuz
- release 2
- applnkdir patch removed
- %%applnkdir changed

Revision 1.9  2000/05/21 14:46:41  kloczek
- spec adapterized.

Revision 1.8  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.6  2000/03/16 00:50:20  kloczek
- updated to 0.0.15.1,
- spec adapterized,
- more BuildRequires,
- updated %files list.
Compiles, builds correctly but still need some work on dividing to fiew
subpackages.

Revision 1.5  1999/10/29 19:03:36  wiget
- 0.0.15

Revision 1.4  1999/09/30 20:24:45  kloczek
- added "BuildRequires: libsmi-devel",
- fixed gtk+ problems but gxsnmp need mysql to compile.

Revision 1.3  1999/09/30 19:04:53  kloczek
- added perl to BuildRequires,
- added %attr() for %%{_bindir}/*.
(version 0.0.13 gxsnmp do not compiles on gtk+ 1.2.5).

Revision 1.2  1999/09/30 17:55:19  kloczek
- rewrited in PLD style but not yet tested (libsmi package must be prepared
  first).

* Sat Feb 20 1999 Gregory McLean <gregm@comstar.net>
- Initial version
